#
# Qxt main project file
#
# Do not edit this file.
# Use config.pri to specify compile options.
#
unix:!macx:include(features/unix/qxtbuild.prf)
win32:include(features/win32/qxtbuild.prf)
macx:include(features/macx/qxtbuild.prf)

TEMPLATE = subdirs
DESTDIR      = deploy/libs


docs.files = deploy/docs/*
#docs.commands = assistant -addContentFile $${docs.path}/index.dcf


includes.path = $${include.path}/
includes.files= deploy/include/*

#write the paths to prf file
unix:system((echo QXTbase=$${QXTINSTALLDIR}; echo QXTinclude=$${include.path}; echo QXTbin=$${bin.path}; echo QXTlib=$${lib.path}; cat deploy/qt/qxt.prf.m) > deploy/qt/qxt.prf)

#windows supports similar syntax
win32:system((echo QXTbase=$${QXTINSTALLDIR}& echo QXTinclude=$${include.path} & echo QXTbin=$${bin.path} & echo QXTlib=$${lib.path} & type deploy\qt\qxt.prf.m) > deploy\qt\qxt.prf)

features.path = $$[QT_INSTALL_DATA]/mkspecs/features
features.files = deploy/qt/qxt.prf	

INSTALLS = docs includes features 



contains( QXT_BUILD, core ){
    message( building the core )
    SUBDIRS += src/core	
}


contains( QXT_BUILD, gui ){
    message( building gui module )
    SUBDIRS += src/gui
    contains( QXT_BUILD, designer ): SUBDIRS += src/designer
}

contains( QXT_BUILD, network ){
    message( building network module )
    SUBDIRS += src/network
}

contains( QXT_BUILD, sql ){
    message( building sql module )
    SUBDIRS += src/sql
}

contains(DEFINES,HAVE_CURSES){
contains( QXT_BUILD, curses ){
    message( building curses module )
    SUBDIRS += src/curses
}
}

	
contains( QXT_BUILD, web ){
    message( building web module )
    SUBDIRS += src/web
}
contains( QXT_BUILD, crypto ){
    message( building crypto module )
    SUBDIRS += src/crypto
}

